## ocamlviz 1.01

=== camlp4/Makefile ===
pa_ocamlviz.cmo : pa_ocamlviz.ml 
	ocamlc -c -dtypes -I +camlp4 -I +str -pp camlp4of str.cma pa_ocamlviz.ml

test: pa_ocamlviz.cmo test.ml
	camlp4 pa_o.cmo str.cma pa_ocamlviz.cmo pr_o.cmo test.ml > test_pp.ml
	cat test.ml test_pp.ml
	ocamlc -c test_pp.ml

=== debian/changelog ===
ocamlviz (1.01-5) unstable; urgency=medium

  * Fix FTBFS by using Bytes where necessary (Closes: #972262)
    - Remove 0003-Compile-with-unsafe-string-for-now.patch, which is
      not needed anymore
    - Add 0003-Use-Bytes-only-where-necessary.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2021 11:22:04 +0100

ocamlviz (1.01-4) unstable; urgency=medium

  * Team upload
  * Compile with -unsafe-string for now (Closes: #944601)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * libocamlviz-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Aug 2020 09:12:38 +0200

ocamlviz (1.01-3) unstable; urgency=high

  [ Stéphane Glondu ]
  * Team upload
  * Force rebuild of all packages on buildds
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

  [ Mehdi Dogguy ]
  * Fix watch file

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 16:20:16 +0200

ocamlviz (1.01-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * The gui should depend on graphviz on runtime.

  [ Stéphane Glondu ]
  * Conditionally compile documentation in override_dh_auto_install
    (Closes: #576986)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 13 Apr 2010 20:55:41 +0200

ocamlviz (1.01-1) unstable; urgency=low

  * Initial release (Closes: #545532)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 24 Mar 2010 19:34:00 +0100

=== debian/control ===
Source: ocamlviz
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 ocaml-nox,
 ocaml-best-compilers,
 camlp4-extra,
 dh-ocaml,
 liblablgtk2-ocaml-dev,
 libcairo-ocaml-dev
Build-Depends-Indep:
 mlpost,
 ocamlweb,
 texlive-latex-extra
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://ocamlviz.forge.ocamlcore.org/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlviz
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlviz.git

Package: ocamlviz
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 graphviz
Recommends:
 libocamlviz-ocaml-dev
Description: real-time profiling tools for Objective Caml (clients)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides two sorts of client output:
  * an ASCII client, the monitoring is displayed in a file
  * a Graphical User Interface, using Lablgtk2, that allows, for
    instance, displaying data in a graph

Package: libocamlviz-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ocamlviz
Recommends:
 libocamlviz-ocaml-doc
Description: real-time profiling tools for Objective Caml (library)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides the Ocamlviz library.

Package: libocamlviz-ocaml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: real-time profiling tools for Objective Caml (documentation)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides the API documentation of the Ocamlviz library
 generated by ocamldoc out the source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

OVLIBDIR=$(CURDIR)/debian/libocamlviz-ocaml-dev$(OCAML_STDLIB_DIR)/ocamlviz
OVBINDIR=$(CURDIR)/debian/ocamlviz/usr/bin
OVVER=$(shell grep ^VERSION Makefile.in | sed "s/VERSION=//")

export OCAMLINIT_SED = -e 's/@OVVER@/$(OVVER)/g'

override_dh_auto_test:

override_dh_auto_configure:
	autoreconf
	./configure --prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
ifneq (,$(findstring libocamlviz-ocaml-doc,$(shell dh_listpackages)))
	$(MAKE) doc/manual.pdf
	cd doc && pdflatex manual.tex
	cd doc && pdflatex manual.tex
endif
	mkdir -p $(OVBINDIR)
	mkdir -p $(OVLIBDIR)/camlp4
	$(MAKE) OCAMLLIB=$(OVLIBDIR) BINDIR=$(OVBINDIR) install
	cp debian/META $(OVLIBDIR)
	for file in monitor_sig protocol ocamlviz_threads; do \
		cp src/$${file}.cmi src/$${file}.mli $(OVLIBDIR)/; \
	done
	cp camlp4/pa_ocamlviz.ml $(OVLIBDIR)/camlp4

override_dh_compress:
	dh_compress -X.pdf

override_dh_ocaml:
	dh_ocaml --nodefined-map libocamlviz-ocaml-dev:Mutex,Condition,ThreadUnix,Thread,Event

%:
	dh $@ --with ocaml

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=104 \
  /frs/download\.php/.*/ocamlviz-(.*)\.tar\.gz
